module CMudTreatmentProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    
    ! Input vars
    Type::MudTreatmentProblemsType
        type(CProblem) :: Degasser
        type(CProblem) :: ShaleShaker
        type(CProblem) :: Desander
        type(CProblem) :: Desilter
    end type MudTreatmentProblemsType
    
    contains   
    

end module CMudTreatmentProblemsVariables